Skip to main content
DELETE
Delete role credentials
This deletes a Postgres role. To delete a Vitess/MySQL branch password, use Delete a password instead. Roles created with Create role credentials that own objects, have extra permissions, or created other roles require a successor — see Deleting a role.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

id
string
required

The ID of the role

Query Parameters

successor
string

The optional role to reassign ownership to before dropping

Response

Deletes the role credentials